Cherokee Web Server格式字符串漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1201764 漏洞类型 格式化字符串
发布时间 2004-04-19 更新时间 2004-04-19
CVE编号 CVE-2004-1946 CNNVD-ID CNNVD-200404-067
漏洞平台 N/A CVSS评分 4.6
|漏洞来源
https://www.securityfocus.com/bid/82563
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200404-067
|漏洞详情
CherokeeWebServer0.4.16及其早期版本common.c文件中的PRINT_ERROR函数存在格式字符串漏洞,本地用户可以通过-c命令行参数中的格式字符串符执行任意代码。注意:问题是否能被远程利用或者Cherokee是否在提升的权限上运行还不清楚,因此,它可能不是一个漏洞。
|受影响的产品
Cherokee Cherokee Httpd 0.4.16
|参考资料

来源:XF
名称:cherokee-printerror-format-string(15924)
链接:http://xforce.iss.net/xforce/xfdb/15924
来源:www.nosystem.com.ar
链接:http://www.nosystem.com.ar/advisories/advisory-03.txt
来源:BUGTRAQ
名称:20040420FormatStringinCherokee
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=108249818308672&w=2